Get a regulatory disclosure

​

Retrieves a disclosure and its status. A ready disclosure includes its available information and coverage.

See the Regulatory Filings guide for the integration workflow.

Path Parameters

  • Opaque disclosure identity.

Headers

  • Select one account authorized for the credential; required when context is ambiguous.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/regulatory_disclosures/{disclosure_id}
curl 'https://api.paypercut.io/v1/regulatory_disclosures/{disclosure_id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "regdisc_01J00000000000000000000001",
  "object": "regulatory_disclosure",
  "account": "01J00000000000000000000001",
  "live_mode": false,
  "capability": "bg_nra_ecommerce",
  "form": "bg_nra_appendix_33",
  "form_version": "2020-07-31",
  "status": "ready",
  "created_at": "2026-10-28T10:12:01Z",
  "updated_at": "2026-10-28T10:12:05Z",
  "completed_at": "2026-10-28T10:12:05Z",
  "coverage": {
    "status": "complete",
    "scope": "paypercut_managed_payment_information",
    "issues": []
  },
  "data": {
    "payment_arrangements": [
      {
        "settlement_arrangement": {
          "type": "via_payment_service_provider"
        },
        "merchant_identifier": {
          "value": "00123456"
        },
        "virtual_pos_identifier": {
          "value": "00001234"
        },
        "currency": "EUR",
        "payment_methods": [
          "card"
        ],
        "receiving_accounts": [
          {
            "holder": {
              "name": "Example Merchant Ltd",
              "type": "company"
            },
            "country": "BG",
            "currency": "EUR",
            "numbers_redacted": false,
            "numbers": {
              "scheme": "iban",
              "iban": "BG35TEST00000000000000",
              "bic": "TESTBGSF"
            }
          }
        ]
      }
    ]
  }
}